<?php

 /*************************************************************************
 ***  Systm pro TME                                                    ***
 ***  (c) Michal evk 2007-2008 - multi@tricker.cz                    ***
 *************************************************************************/

 //////////////////////////////////////////////////////////////////////////
 //// GRAF - prumerna mesicni teplota FLASH
 //// GRAPH - average month temperature FLASH
 //////////////////////////////////////////////////////////////////////////

  // musime vygenerovat graf
  // nacteme soubor s nastavenim
  require_once "../nastaveni.php";
  // nastaveni skrze stranku...
  if(isset($_GET['n'])) { $n = explode("--", $_GET['n'], 2); $l = $n[1]; $u = $n[0]; }
  // skript s jazykovou mutaci
  if($l == "cz"){ require_once "../lang/cz-utf8.php"; }
  else{ require_once "../lang/".$l.".php"; }
  // nacteme soubor s databazi
  require_once "db.php";
  // nacteme tech par funkci
  require_once "fce.php";
  // zjistime jednotku teploty (prasarnicka)
  $jednotkap = explode(" ", jednotkaTeploty(1, $u, 1));
  $jednotka = str_replace("&deg;", "", $jednotkap[1]);

   // nacteme prumerne mesicni teploty      
   $dotaz = MySQL_query("SELECT mesic, teplota FROM tme_mesicni ORDER BY mesic DESC LIMIT 24");  

   // hodime do pole
   while($data = MySQL_fetch_assoc($dotaz))
   {

     if(round($data['teplota'], 2) == 0){ $ydata[] = "0"; }
     else{ $ydata[] = jednotkaTeploty(round($data['teplota'], 2), $u, 0); }
     $labels[] = substr($data['mesic'], 0, 4)."/".substr($data['mesic'], 5, 2);

   }

   // abychom ziskali spravnou posloupnoust udaju, tak obe pole obratime
   $ydata = array_reverse($ydata);
   $labels = array_reverse($labels);


  // inkludujeme potrebne a zapocneme s tridou grafu
  include_once('./ofch/open-flash-chart.php');
  $g = new graph();

  // otitulkujeme, barva pozadi, data pro osu Y
  $g->title($lang['prumernamesicnigraf'], '{font-size: 16px; color: #4e240f;}');
  $g->bg_colour = '#e1e0b9';
  $g->set_inner_background( '#f1f1e3', '#fdfcde', 90 );
  $g->set_data($ydata);

  // Osa X
  $g->set_x_tick_size(5);
  $g->set_x_labels($labels);
  $g->set_x_label_style( 10, '#3A3913' , 1, 1);
  $g->x_axis_colour('#603722', '#e8e7cc');

  // Osa Y
  $g->y_axis_colour('#603722', '#e8e7cc');
  $g->set_y_min(round(min($ydata)-1));
  $g->set_y_max(round(max($ydata)+1));
  $g->y_label_steps(8);

  // Ostylujeme caru
  $g->line_dot(2, 4, '#713517', '', 18);

  // Upravime tooltip
  $g->set_tool_tip($lang['mesic'].": #x_label#<br>".$lang['teplota'].": #val# ".$jednotka);
  
  // A jedem
  echo $g->render();

?>